using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace INGBank {

    public class BankAccount
    {
        #region "Private attributes"
        private string _bankAccountNumber;
        private decimal _balance;
        #endregion

        #region "Methods"
        public BankAccount(string bankAccountNumber) {
            _bankAccountNumber = bankAccountNumber;
            _balance = 0;
        }

        public BankAccount(string bankAccountNumber, decimal balance){
            _bankAccountNumber = bankAccountNumber;
            _balance = balance;
        }

        public void Deposit(decimal amount) {
            _balance += amount;
        }

        public void Withdraw(decimal amount) {
            if (_balance < amount)
                throw new Exception("Balance too low");
            
            // program won't get here if it throws an exception
            _balance -= amount;            
        }


        #endregion

        #region "Properties"
        public decimal Balance {
            get { return _balance; }
            set { _balance = value; }
        }
        #endregion
    }
}
