using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using INGBank;

public partial class _Default : System.Web.UI.Page {
    private BankAccount myBankAccount;

    protected void Page_Load(object sender, EventArgs e) {
        if (Page.IsPostBack)  // so not the very first time
            myBankAccount = (BankAccount)Session["BA"];
    }

    protected void btnCreate_Click(object sender, EventArgs e) {
        myBankAccount = new BankAccount(txtAccount.Text);
        btnCreate.Enabled = false;
        pnlTransaction.Visible = true;
        lblBalance.Text = myBankAccount.Balance.ToString();
        Session["BA"] = myBankAccount;
    }

    protected void btnDeposit_Click(object sender, EventArgs e) {
        myBankAccount.Deposit(decimal.Parse(txtAmount.Text));
        showResult();
    }

    protected void btnWithDraw_Click(object sender, EventArgs e) {
        try{
            myBankAccount.Withdraw(decimal.Parse(txtAmount.Text));
        }
        catch(Exception ex){
            lblMessage.Text = ex.Message;  // will return to empty label (ViewState disabled)
        }
        finally{
            showResult(); // whatever happens, show current balance
        }
    }

    private void showResult(){
        lblBalance.Text = myBankAccount.Balance.ToString(); ;
        txtAmount.Text = String.Empty;
    }
}
